JspConfig.JspProperty (Apache Tomcat 9.0.121 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: JspConfig, class: JspProperty

# Class JspConfig.JspProperty

java.lang.Object
org.apache.jasper.compiler.JspConfig.JspProperty

Enclosing class:
  `JspConfig`

public static class JspConfig.JspProperty extends Object
Represents the JSP property configuration values for a JSP page or group of pages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JspProperty(String isXml, String elIgnored, String scriptingInvalid, String pageEncoding, Collection<String> includePrelude, Collection<String> includeCoda, String deferedSyntaxAllowedAsLiteral, String trimDirectiveWhitespaces, String defaultContentType, String buffer, String errorOnUndeclaredNamespace)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBuffer()`
  Returns the buffer size configuration.
  `String`
  `getDefaultContentType()`
  Returns the default content type.
  `Collection<String>`
  `getIncludeCoda()`
  Returns the collection of include coda files.
  `Collection<String>`
  `getIncludePrelude()`
  Returns the collection of include prelude files.
  `String`
  `getPageEncoding()`
  Returns the page encoding.
  `String`
  `isDeferedSyntaxAllowedAsLiteral()`
  Returns whether deferred syntax is allowed as literal.
  `String`
  `isELIgnored()`
  Returns whether EL is ignored.
  `String`
  `isErrorOnUndeclaredNamespace()`
  Returns whether to error on undeclared namespace.
  `String`
  `isScriptingInvalid()`
  Returns whether scripting is invalid.
  `String`
  `isTrimDirectiveWhitespaces()`
  Returns whether to trim directive whitespaces.
  `String`
  `isXml()`
  Returns whether the page is XML.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JspProperty

    public JspProperty(String isXml, String elIgnored, String scriptingInvalid, String pageEncoding, Collection<String> includePrelude, Collection<String> includeCoda, String deferedSyntaxAllowedAsLiteral, String trimDirectiveWhitespaces, String defaultContentType, String buffer, String errorOnUndeclaredNamespace)

- ## Method Details

  - ### isXml

    public String isXml()
    Returns whether the page is XML.
    Returns:
      the isXml value, or null if not set

  - ### isELIgnored

    public String isELIgnored()
    Returns whether EL is ignored.
    Returns:
      the elIgnored value, or null if not set

  - ### isScriptingInvalid

    public String isScriptingInvalid()
    Returns whether scripting is invalid.
    Returns:
      the scriptingInvalid value, or null if not set

  - ### getPageEncoding

    public String getPageEncoding()
    Returns the page encoding.
    Returns:
      the page encoding, or null if not set

  - ### getIncludePrelude

    public Collection<String> getIncludePrelude()
    Returns the collection of include prelude files.
    Returns:
      the include preludes, or null if not set

  - ### getIncludeCoda

    public Collection<String> getIncludeCoda()
    Returns the collection of include coda files.
    Returns:
      the include codas, or null if not set

  - ### isDeferedSyntaxAllowedAsLiteral

    public String isDeferedSyntaxAllowedAsLiteral()
    Returns whether deferred syntax is allowed as literal.
    Returns:
      the deferred syntax allowed as literal value

  - ### isTrimDirectiveWhitespaces

    public String isTrimDirectiveWhitespaces()
    Returns whether to trim directive whitespaces.
    Returns:
      the trim directive whitespaces value, or null if not set

  - ### getDefaultContentType

    public String getDefaultContentType()
    Returns the default content type.
    Returns:
      the default content type, or null if not set

  - ### getBuffer

    public String getBuffer()
    Returns the buffer size configuration.
    Returns:
      the buffer value, or null if not set

  - ### isErrorOnUndeclaredNamespace

    public String isErrorOnUndeclaredNamespace()
    Returns whether to error on undeclared namespace.
    Returns:
      the errorOnUndeclaredNamespace value